Class | Bio::SOSUI::Report
In: | lib/bio/appl/sosui/report.rb
Parent: | Object

# SOSUI output report parsing class

## References

- bp.nuap.nagoya-u.ac.jp/sosui/
- bp.nuap.nagoya-u.ac.jp/sosui/sosui_submit.html

### Methods

new

### Classes and Modules

Class Bio::SOSUI::Report::TMH

### Constants

DELIMITER | = | "\n>" |  | Delimiter
RS | = | DELIMITER

### Attributes

entry_id | [R] | Query entry_id
prediction | [R] | Returns the prediction result whether "MEMBRANE PROTEIN" or "SOLUBLE PROTEIN".
tmhs | [R] | Transmembrane helixes ary

### Public Class methods

new(output_report)

Parser for SOSUI output report.

[Source]

        # File lib/bio/appl/sosui/report.rb, line 45
    45:       def initialize(output_report)
    46:         entry       = output_report.split(/\n/)
    47:
    48:         @entry_id   = entry[0].strip.sub(/^>/,'')
    49:         @prediction = entry[1].strip
    50:         @tms        = 0
    51:         @tmhs       = []
    52:         parse_tmh(entry) if /MEMBRANE/ =~ @prediction
    53:       end

[Validate]